Watchlist Movies
curl --request GET \
--url https://api.themoviedb.org/3/account/{account_id}/watchlist/movies \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/account/{account_id}/watchlist/movies"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/account/{account_id}/watchlist/movies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"page": 1,
"results": [
{
"adult": false,
"backdrop_path": "/4qCqAdHcNKeAHcK8tJ8wNJZa9cx.jpg",
"genre_ids": [
12,
28,
878
],
"id": 11,
"original_language": "en",
"original_title": "Star Wars",
"overview": "Princess Leia is captured and held hostage by the evil Imperial forces in their effort to take over the galactic Empire. Venturesome Luke Skywalker and dashing captain Han Solo team together with the loveable robot duo R2-D2 and C-3PO to rescue the beautiful princess and restore peace and justice in the Empire.",
"popularity": 101.129,
"poster_path": "/6FfCtAuVAW8XJjZ7eWeLibRLWTw.jpg",
"release_date": "1977-05-25",
"title": "Star Wars",
"video": false,
"vote_average": 8.203,
"vote_count": 20688
}
],
"total_pages": 1,
"total_results": 1
}Watchlist Movies
This endpoint get a list of movies added to a users watchlist.
GET
/
3
/
account
/
{account_id}
/
watchlist
/
movies
Watchlist Movies
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
unique identifier of user's account
Query Parameters
page number to retrieve specific paginated results.
session ID for authentication or tracking purposes
language based on region
Sort the results either in ascending order or descending order
Available options:
created_at.asc, created_at.desc Response
200 - application/json
Watchlist Movies
Example:
1
Show child attributes
Show child attributes
Example:
[
{
"adult": false,
"backdrop_path": "/4qCqAdHcNKeAHcK8tJ8wNJZa9cx.jpg",
"genre_ids": [12, 28, 878],
"id": 11,
"original_language": "en",
"original_title": "Star Wars",
"overview": "Princess Leia is captured and held hostage by the evil Imperial forces in their effort to take over the galactic Empire. Venturesome Luke Skywalker and dashing captain Han Solo team together with the loveable robot duo R2-D2 and C-3PO to rescue the beautiful princess and restore peace and justice in the Empire.",
"popularity": 101.129,
"poster_path": "/6FfCtAuVAW8XJjZ7eWeLibRLWTw.jpg",
"release_date": "1977-05-25",
"title": "Star Wars",
"video": false,
"vote_average": 8.203,
"vote_count": 20688
}
]
Example:
1
Example:
1
⌘I